//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "Main.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TfrmMain *frmMain;

//---------------------------------------------------------------------------
__fastcall TfrmMain::TfrmMain(TComponent* Owner)
	: TForm(Owner)
{

}

//---------------------------------------------------------------------------
void __fastcall TfrmMain::btnStartAnimateClick(TObject *Sender)
{
	trIcon->SetImageList(ImageList);
	trIcon->StartAnimate(200);
}
//---------------------------------------------------------------------------

void __fastcall TfrmMain::FormCreate(TObject *Sender)
{
	trIcon = new TrayIcon(this);
	trIcon->OnLeftBtnDown = OnIconLeftBtnDown;
	trIcon->SetPopupMenu(PopupMenu);
}
//---------------------------------------------------------------------------

void __fastcall TfrmMain::OnIconLeftBtnDown(TObject *Sender)
{
	Visible = !Visible;
	if (Visible)
	{
		SetActiveWindow (Handle);
		SetForegroundWindow (Handle);
		SetWindowPos (Handle, HWND_TOP, 0, 0, 0, 0, SWP_NOSIZE | SWP_NOMOVE);
		Repaint();
	}
}

void __fastcall TfrmMain::FormDestroy(TObject *Sender)
{
	delete trIcon;	
}
//---------------------------------------------------------------------------

void __fastcall TfrmMain::btnStopAnimateClick(TObject *Sender)
{
	trIcon->StopAnimate();	
}
//---------------------------------------------------------------------------


void __fastcall TfrmMain::btnShowInTrayClick(TObject *Sender)
{
	trIcon->ShowInTray(true);
}
//---------------------------------------------------------------------------

void __fastcall TfrmMain::btnHideFromTrayClick(TObject *Sender)
{
	trIcon->ShowInTray(false);	
}
//---------------------------------------------------------------------------

void __fastcall TfrmMain::btnSetDefaultIconClick(TObject *Sender)
{
    Application->Icon->LoadFromResourceName((int)HInstance, "MAINICON");
	trIcon->SetIcon(Application->Icon);
}
//---------------------------------------------------------------------------

void __fastcall TfrmMain::miExitClick(TObject *Sender)
{
	this->Close();	
}
//---------------------------------------------------------------------------

void __fastcall TfrmMain::btnShowInTrayHideClick(TObject *Sender)
{
	trIcon->ShowInTray(true);
	this->Hide();
}
//---------------------------------------------------------------------------

void __fastcall TfrmMain::btnSetHintClick(TObject *Sender)
{
	trIcon->SetHint(edHint->Text);	
}
//---------------------------------------------------------------------------

void __fastcall TfrmMain::rayIcontest1Click(TObject *Sender)
{
	ShowMessage("PopupMenu item clicked!");	
}
//---------------------------------------------------------------------------

